﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.DataImporter.Data.CommandBase;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.DataImporter.Data.Model;

namespace HeuristicLab.DataImporter.Command {
  [StorableClass]
  public abstract class SearchCommandBase : ColumnGroupCommandWithAffectedColumnsBase {
     private SearchCommandBase()
      : base(null,string.Empty,null) {
    }

     public SearchCommandBase(DataSet dataSet, string columnGroupName, int[] affectedColumns) :
      base(dataSet, columnGroupName, affectedColumns) {
    }

     [Storable]
     private string searchValue;
     public string SearchValue {
       get { return this.searchValue; }
       set { this.searchValue = string.IsNullOrEmpty(value) ? null : value.Trim(); }
     }
  }
}
